## discover-data 1.2002.03.19

=== Makefile ===
# $Progeny: Makefile,v 1.2 2002/01/18 06:20:52 dsp Exp $

prefix = /usr
datadir = $(prefix)/share

DESTDIR =

MAJOR=1
DATE=$(shell date +%Y.%m.%d)
VERSION=$(MAJOR).$(DATE)
DISTNAME=discover-data-$(VERSION)

hwlists_DATA = pci.lst pcmcia.lst usb.lst
hwlistsdir = $(datadir)/discover

all: $(hwlists_DATA)

install: $(hwlists_DATA)
	install -m 755 -d $(DESTDIR)$(hwlistsdir)
	install -m 644 $(hwlists_DATA) $(DESTDIR)$(hwlistsdir)

uninstall:
	for i in $(hwlists_DATA); do rm $(DESTDIR)$(hwlistsdir)/$$i; done
	-rmdir $(DESTDIR)$(hwlistsdir)

dist:
	mkdir $(DISTNAME)
	cp Makefile $(hwlists_DATA) $(DISTNAME)
	tar cf - $(DISTNAME) | gzip -9 > $(DISTNAME).tar.gz
	md5sum $(DISTNAME).tar.gz > $(DISTNAME).tar.gz.md5sum
	rm -rf $(DISTNAME)

.PHONY: all install uninstall dist
