=== debian/changelog ===
discover-data (1.2002.03.19) unstable; urgency=low

  * There's really no point in keeping a Debian revision for this package; the
    upstream is the same as the Debian Package Maintainer.
  * pci.lst:
    - Identify all devices using the i82365 module as being device type
      "bridge" instead of "unknown".
  * debian/control: change Maintainer to Progeny Debian Packaging Team
    <debian-packages@progeny.com>

 -- Branden Robinson <branden@progeny.com>  Tue, 19 Mar 2002 12:49:30 -0500

discover-data (1.2002.03.08-1) unstable; urgency=low

  * new upstream version
    + pci.lst:
      - fix typo in module name

 -- Branden Robinson <branden@progeny.com>  Fri,  8 Mar 2002 14:12:20 -0500

discover-data (1.2002.02.19-1) unstable; urgency=low

  * new upstream version
    + pci.lst:
      - additions and updates for cards supported by the sym53x8xx driver

 -- Branden Robinson <branden@debian.org>  Tue, 19 Feb 2002 12:28:10 -0500

discover-data (1.2002.01.28-1) unstable; urgency=low

  * new upstream version
  * pci.lst:
    - added several new S3 graphics chipsets, including the "Twister K"
      (thanks, Chris Lawrence) (Closes: #119372,#130799)
    - added PCI ID for Hewlett-Packard NetRAID 2M card, which uses the AMI
      MegaRAID chips (thanks, Dann Frazier) (Closes: #121496)
    - added X server/driver information for i815 video chips (Closes: #130702)
    - change SiS 630 chipsets from XF86_SVGA server to XFree86(sis)

 -- Branden Robinson <branden@debian.org>  Mon, 28 Jan 2002 02:11:58 -0500

discover-data (1.2001.10.16-1) unstable; urgency=low

  * new upstream version
  * pci.lst:
    - removed names of ALSA drivers, replaced with "unknown"
      (Closes: #109762)
    - updated 3Com vendor section (Closes: #112808)
    - updated ATI vendor section
  * debian/control: change Build-Depends to Build-Depends-Indep

 -- Branden Robinson <branden@debian.org>  Tue, 16 Oct 2001 00:44:42 -0500

discover-data (1.2001.08.17-2) unstable; urgency=low

  * debian/control: added a touch more info to the extended description
  * debian/copyright: s/libdiscover0-hwlists/discover-data/g

 -- Branden Robinson <branden@debian.org>  Tue, 18 Sep 2001 14:54:53 -0500

discover-data (1.2001.08.17-1) unstable; urgency=low

  * Initial release.

 -- Branden Robinson <branden@debian.org>  Fri, 17 Aug 2001 15:09:19 -0500
