=== debian/control ===
Source: discover-data
Section: libs
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper (>= 2.0)

Package: discover-data
Architecture: all
Description: hardware lists for libdiscover1
 The libdiscover1 library requires this package to look up information
 about various hardware devices using the identification data that they
 report.  It contains data detailing various PCI, PCMCIA, and USB devices.
