=== debian/rules ===
#!/usr/bin/make -f

# $Progeny: rules,v 1.2 2002/01/18 06:20:52 dsp Exp $

# This is the debhelper compatability version to use.
export DH_COMPAT=2

build: build-stamp
build-stamp:
#	this package is so insanely simple, we have nothing to do here
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make install prefix=/usr DESTDIR=$(CURDIR)/debian/tmp

binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_movefiles
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
