## discover-data 2.2005.02.13

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Progeny$
+# $Progeny: Makefile 4783 2005-02-06 02:49:54Z licquia $
 
 prefix = /usr/local
 datadir = $(prefix)/share
@@ -12,8 +12,13 @@
 VERSION=$(MAJOR).$(DATE)
 DISTNAME=discover-data-$(VERSION)
 
+KVERSION_24 = 2.4.18
+KVERSION_26 = 2.6.8
+
 discover_data_EXEC = lst2xml
-old_hwlists_DATA = pci.lst pcmcia.lst usb.lst
+old_hwlists_DATA = pci.lst pci-26.lst \
+                   pcmcia.lst pcmcia-26.lst \
+                   usb.lst usb-26.lst
 hwlists_DATA = ata-busclass.xml \
                ata-device.xml \
                ata-vendor.xml \
@@ -44,24 +49,24 @@
 	done
 
 shortxmllists: $(hwlists_DATA)
-	./reduce-xml --class-spec=linux:2.4 \
-		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
+	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
+		--module-list=./di-kernel-list \
 		-i pci-vendor.xml -i pci-busclass.xml -i pci-device.xml \
 		-o pci-device-short.xml
-	./reduce-xml --class-spec=linux:2.4 \
-		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
+	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
+		--module-list=./di-kernel-list \
 		-i usb-vendor.xml -i usb-busclass.xml -i usb-device.xml \
 		-o usb-device-short.xml
-	./reduce-xml --class-spec=linux:2.4 \
-		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
+	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
+		--module-list=./di-kernel-list \
 		-i pci-vendor.xml -i pci-busclass.xml -i pci-device.xml \
 		-o pci-vendor-short.xml --output-type=vendor
-	./reduce-xml --class-spec=linux:2.4 \
-		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
+	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
+		--module-list=./di-kernel-list \
 		-i usb-vendor.xml -i usb-busclass.xml -i usb-device.xml \
 		-o usb-vendor-short.xml --output-type=vendor
-	./reduce-xml --class-spec=linux:2.4 \
-		--include-bus=modem,broadband,network,humaninput,removabledisk,bridge,fixeddisk,optical \
+	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
+		--module-list=./di-kernel-list \
 		-i scsi-vendor.xml -i scsi-busclass.xml -i scsi-device.xml \
 		-o scsi-vendor-short.xml --output-type=vendor
