=== debian/changelog ===
discover-data (2.2007.02.02) unstable; urgency=high

  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Revert changes to pci-busclass.xml, to make sure 'display' devices
    are detected again when the X packages autodetect its
    configuration.  (Closes: #409101)
  * Use new pci-busclass-v1.xml when generating discover v1 lst files,
    to get the correct bus class names there.
  * Add USB device 046d:c016 based on info in bug #409101.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  2 Feb 2007 23:10:30 +0100

discover-data (2.2007.01.21) unstable; urgency=low

  * Update HW mappings for PCI devices:
      10de0044, 10de0046, 10de0047, 10de0048, 10de0090, 10de0091,
      10de0092, 10de0093, 10de0095, 10de0098, 10de0099, 10de009d,
      10de00c3, 10de018c, 10de018d, 10de01d1, 10de01d3, 10de01d6,
      10de01d7, 10de01d8, 10de01d9, 10de01da, 10de01db, 10de01dc,
      10de01dd, 10de01de, 10de01df, 10de0218, 10de0240, 10de0241,
      10de0242, 10de0244, 10de0247, 10de0290, 10de0291, 10de0292,
      10de0298, 10de0299, 10de029a, 10de029b, 10de029c, 10de029e,
      10de029f, 10de0391, 10de0392, 10de0393, 10de0394, 10de0395,
      10de0397, 10de0398, 10de0399, 10de039a, 10de039b, 10de039c,
      10de039e: nv X driver, based on the nv_driver.c source.
      80863575: agpgart [2.4->2.6), intel-agp [2.6->) based on
                currently loaded modules on a Thinkpad X30.
      11063118: via X driver.  Based on via_driver.c source.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 21 Jan 2007 16:24:28 +0100

discover-data (2.2007.01.20) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Mark all PCI devices using i2c-i801 as bustype 'bridge'.
  * Replace '(lspci -n; lspci)|sort' in reportbug scripts and use
    'lspci -nn' instead.  This require pciutils >= 1:2.2.4, add
    recommends to document this.
  * Update the name of some busclasses in pci-busclass.xml to match
    the pci.lst values.
  * Add PCI busclass 0805 (Generic system peripheral) using
    miscellaneous as the keyword used in pci.lst.
  * Add video busclass to a few nvidia devices.
  * Update pci-vendor.xml, pci-devices.xml, pci.lst and pci-26.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Update HW mappings for PCI devices:
     8086:2653: ata_piix[2.6.15->) based on the new reportbug script
     and my laptop.
     10de029d: nv X driver. (Closes: #407138)
     80862972,
     80862982,
     80862992 and
     808629a2: i810 X driver, based on the i810_driver.c
               source. (Closes: #407103)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Jan 2007 13:28:15 +0100

discover-data (2.2006.12.28) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Update HW mappings for PCI devices:
      10024b48 -> ati X driver.  Thanks to Joerg from Kanotix.
      10025b62 -> radeon to ati X driver.  Thanks to Joerg from Kanotix.

  [ Joshua Kwan ]
  * Remove myself from Uploaders, I haven't the time to help out with this.

  [ Christian Perrier ]
  * Update HW mappings for PCI devices:
      10de016a -> nv X driver.  Thanks to Michael Josenhans and Frans Pop
       Closes: #402459
      53338d01 -> savage X driver.  Thanks to Bernat Tallaferro
       Closes: #403368

  [ Petter Reinholdtsen ]
  * Redo 10de016a in the correct file pci-device.xml to make sure pci.lst
    still can be generated from it.
  * Update pci-devices.xml, pci.lst and pci-26.lst from
    http://pciids.sourceforge.net/pci.ids.gz.
  * Update HW mappings for PCI devices:
      1077:2100 and
      1077:2200: debian package qla2x00-source (Closes: #398071)
      80861049 8086104a 8086104b 8086104c 8086104d 80861060
      8086107d 8086107e 8086107f 80861096 80861098 80861099
      808610a4 808610b5 808610b9 808610ba 808610bb 808610bc
      808610c4 808610c5: e1000[2.6->).
  * Make sure all devices supported by kernel module e1000 is listed
    in pci-device.xml.  Flag all as working from version 2.6->.
    (Closes: #403876)
  * Extend reportbug scripts with code from Auke Kok to list which PCI
    device is used by which kernel module.  See bug #403876 for the
    original.  Updated the discover1-data script to match the
    discover-data script.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Dec 2006 00:11:17 +0100

discover-data (2.2006.10.29) unstable; urgency=low

  * Switch to native version number, to make it easier to build
    from svn.  The debian package is the native version anyway.
  * Update busclass to 'ethernet' for all PCI devices using the bnx2
    kernel module.
  * Update HW mappings for PCI devices:
      11426422 -> XF86_SVGA -> vesa X driver for X v4.  Thanks to
	          Konstantions Margaritas for the tip.
  * Update pci-devices.xml, pci.lst and pci-26.lst from
    http://pciids.sourceforge.net/pci.ids.gz.
  * Add XS-Vcs-Svn entry in the control file, to make the subversion
    repository easier to find.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Oct 2006 19:08:36 +0100

discover-data (2.2006.10.12-1) unstable; urgency=low

  * Update HW mappings for PCI devices:
      1002:4a54 -> ati X driver. Patch from Ubuntu.
      1002:5836 -> ati X driver. Patch from Ubuntu.
      1002:5837 -> ati X driver. Patch from Ubuntu.
      1002:5a41 -> ati X driver. Patch from Ubuntu.
      1002:5a42 -> ati X driver. Patch from Ubuntu.
      1002:5b62 -> debian packages fglrx-control fglrx-driver
                   fglrx-kernel-src (Closes: #387617)
      1023:2100 -> trident X driver. Patch from Ubuntu.
      1039:0003 -> sis X driver -> unknown.  Patch from Ubuntu.
      1039:0204 -> video card -> unknown. Patch from Ubuntu.
      1039:0205 -> sis X driver -> unknown. Patch from Ubuntu.
      1039:0215 -> video card -> unknown. Patch from Ubuntu.
      1039:0225 -> video card -> unknown. Patch from Ubuntu.
      1077:2100 -> qlogicisp > qlogicfc.  Patch from discover1-data.
      1077:2200 -> qlogicisp > qlogicfc.  Patch from discover1-data.

