=== debian/control ===
Source: discover-data
Section: libs
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
Build-Depends: debhelper (>= 4.0)
Build-Depends-Indep: python, python-xml
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk

Package: discover-data
Architecture: all
Recommends: pciutils (>= 1:2.2.4)
Conflicts: libdiscover2 (<< 2.0.4-4)
Description: Data lists for Discover hardware detection system
 The Discover hardware detection library uses XML data files to describe
 software interfaces to various ATA, PCI, PMCMIA, SCSI, and USB devices.
 While the Discover library can retrieve data from anywhere on the net, it is
 often convenient to have a set of Discover XML data files on one's system;
 thus, this package.

Package: discover1-data
Architecture: all
Recommends: pciutils (>= 1:2.2.4)
Conflicts: libdiscover2 (<< 2.0.4-4)
Description: Data lists for Discover hardware detection system (legacy format)
 The Discover hardware detection library uses XML data files to describe
 software interfaces to various ATA, PCI, PMCMIA, SCSI, and USB devices.
 While the Discover library can retrieve data from anywhere on the net, it is
 often convenient to have a set of Discover XML data files on one's system;
 thus, this package.
 .
 This package contains files in a legacy format for the benefit of users
 of an older version of Discover, Discover 1.x.  The libdiscover1 library
 requires this package to look up information about various hardware devices
 using the identification data that they report.  It contains data detailing
 various PCI, PCMCIA, and USB devices.  The hardware lists for Discover 1.x
 contain Linux kernel module information corresponding only to Linux 2.2.20;
 module names for Linux 2.4.x are also provided in many cases for the
 convenience of 2.4.x users, but only where they do not conflict with 2.2.20
 module names.

Package: discover1-data-udeb
Section: debian-installer
Priority: extra
Architecture: all
XC-Package-Type: udeb
Description: hardware lists for libdiscover1 (short list)
 The libdiscover1 library requires this package to look up information about
 various hardware devices using the identification data that they report.  It
 contains data detailing various PCI, PCMCIA, and USB devices.
 .
 There are two separate lists for kernel versions 2.4 and 2.6. Discover
 automatically chooses the appropriate list for your running kernel.
 .
 This is the short list of HW required by d-i during installation.
