=== debian/rules ===
#!/usr/bin/make -f

# $Progeny$

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

PACKAGE=$(shell dh_listpackages | grep -v discover1)
LPACKAGE=$(shell dh_listpackages | grep discover1 | grep -v -- -udeb$$)
ULPACKAGE=$(shell dh_listpackages | grep discover1 | grep -- -udeb$$)
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)

build: build-stamp
build-stamp:
#	This package is so insanely simple, we have nothing to do here.
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean

	make install \
		prefix=/usr \
		hwlistsdir=/lib/discover \
		DESTDIR=$(CURDIR)/debian/discover-data

	# reportbug helper script
	mkdir -p $(CURDIR)/debian/discover-data/usr/share/bug
	install -m 755 debian/discover-data.bug $(CURDIR)/debian/discover-data/usr/share/bug/discover-data

	# For the legacy stuff
	make install-old \
	       prefix=/usr \
	       hwlistsdir=/lib/discover \
	       DESTDIR=$(CURDIR)/debian/$(LPACKAGE)

	mkdir -p $(CURDIR)/debian/discover1-data/usr/share/bug
	install -m 755 debian/discover1-data.bug $(CURDIR)/debian/discover1-data/usr/share/bug/discover1-data

	# Legacy udeb.  Should be removed after d-i rc1 for etch
	$(MAKE) install-old-udeb \
		prefix=/ \
		hwlistsdir=/lib/discover \
		DESTDIR=$(CURDIR)/debian/$(ULPACKAGE)

binary-arch: build install

binary-indep: build install $(PACKAGE)
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

$(PACKAGE): build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -ldebian/libdiscover1/usr/lib 
	dh_gencontrol

binary: binary-indep
PHONY: build clean binary binary-indep $(PACKAGE) install
