## discover-data 2.2007.02.02ubuntu1

=== debian/changelog ===
discover-data (2.2007.02.02ubuntu1) feisty; urgency=low

  * Update HW mappings for PCI devices:
      10de0191, 10de0193, 10de019d, 10de019e: The new nv X driver
       supports G80 chips.
      102b0522: mga X driver
  * Changed the Maintainer address.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 27 Mar 2007 23:18:24 +0300
