## discover-data 2.2007.05.11ubuntu4

=== Makefile ===
--- 
+++ 
@@ -74,6 +74,62 @@
 		-i scsi-vendor.xml -i scsi-busclass.xml -i scsi-device.xml \
 		-o scsi-vendor-short.xml --output-type=vendor
 
+pci.lst: pci-busclass.xml pci-vendor.xml pci-device.xml
+	./xml2lst --previous-file=pci.lst \
+		--data-version=linux/module/name:$(KVERSION_24) \
+		-opci-new.lst \
+		pci-busclass-v1.xml pci-vendor.xml pci-device.xml
+	rm pci.lst
+	mv pci-new.lst pci.lst
+
+pci-26.lst: pci-busclass.xml pci-vendor.xml pci-device.xml
+	./xml2lst --previous-file=pci-26.lst \
+		--data-version=linux/module/name:$(KVERSION_26) \
+		--data-version=xfree86/server/name:2 \
+		--data-version=xfree86/server/device/driver:2 \
+		-opci-26-new.lst \
+		pci-busclass-v1.xml pci-vendor.xml pci-device.xml
+# Need to skip video entries, to make sure discover --xdriver find the
+# entry in pci.lst
+	./trim26lst < pci-26-new.lst > pci-26.lst
+	rm pci-26-new.lst
+
+pcmcia.lst: pcmcia-busclass.xml pcmcia-vendor.xml pcmcia-device.xml
+	./xml2lst --previous-file=pcmcia.lst \
+		--data-version=linux/module/name:$(KVERSION_24) \
+		-opcmcia-new.lst \
+		pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
+	rm pcmcia.lst
+	mv pcmcia-new.lst pcmcia.lst
+
+pcmcia-26.lst: pcmcia-busclass.xml pcmcia-vendor.xml pcmcia-device.xml
+	./xml2lst --previous-file=pcmcia-26.lst \
+		--data-version=linux/module/name:$(KVERSION_26) \
+		--data-version=xfree86/server/name:2 \
+		--data-version=xfree86/server/device/driver:2 \
+		-opcmcia-26-new.lst \
+		pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
+	./trim26lst < pcmcia-26-new.lst > pcmcia-26.lst
+	rm pcmcia-26-new.lst
+
+usb.lst: usb-busclass.xml usb-vendor.xml usb-device.xml
+	./xml2lst --previous-file=usb.lst \
+		--data-version=linux/module/name:$(KVERSION_24) \
+		-ousb-new.lst \
+		usb-busclass-v1.xml usb-vendor.xml usb-device.xml
+	rm usb.lst
+	mv usb-new.lst usb.lst
+
+usb-26.lst: usb-busclass.xml usb-vendor.xml usb-device.xml
+	./xml2lst --previous-file=usb-26.lst \
+		--data-version=linux/module/name:$(KVERSION_26) \
+		--data-version=xfree86/server/name:2 \
+		--data-version=xfree86/server/device/driver:2 \
+		-ousb-26-new.lst \
+		usb-busclass-v1.xml usb-vendor.xml usb-device.xml
+	./trim26lst < usb-26-new.lst > usb-26.lst
+	rm usb-26-new.lst
+
 install: $(hwlists_DATA) $(GENERATED)
 	install -m 755 -d $(DESTDIR)$(hwlistsdir)
 	install -m 644 $(hwlists_DATA) $(GENERATED) $(DESTDIR)$(hwlistsdir)
