=== debian/changelog ===
discover-data (2.2007.05.11ubuntu4) gutsy; urgency=low

  * add various NVidia video cards which the current driver supports.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon,  1 Oct 2007 17:31:20 +0300

discover-data (2.2007.05.11ubuntu3) gutsy; urgency=low

  * add 10de040c Quadro FX 570M which does not work with "nv"
    (LP: #133385)

 -- Tormod Volden <debian.tormod@gmail.com>  Wed, 19 Sep 2007 19:48:24 +0200

discover-data (2.2007.05.11ubuntu2) gutsy; urgency=low

  * Change i810 to intel (LP: #135141, #95867).  Should resolve a ton of
    i810 issues.  (Will likely exacerbate others such as 133726, but
    i810 will remain as an alternate driver for these folks.)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 30 Aug 2007 12:03:19 -0700

discover-data (2.2007.05.11ubuntu1) gutsy; urgency=low

  * Use intel_drv.so xorg driver instead of i810 on i945, i965 and newer.
    (LP: #119370, #119371)
  * intel_drv.so xorg driver claims support for G33, Q33, Q35 chipsets.
    (LP: #119362)

 -- Kyle McMartin <kyle@ubuntu.com>  Wed, 27 Jun 2007 00:00:13 +0000

discover-data (2.2007.05.11) unstable; urgency=low

  * Remove udeb build rules.  This package is no longer used by
    debian- installer.
  * Move rules to generate *.lst from the *-device.xml files from
    Makefile.update to Makefile, as it is part of the normal build
    now.  Create usb-busclass-v1.xml and pcmcia-busclass-v1.xml
    to keep the old busclass information.
  * Update usb-device.xml to match the original usb.lst.
  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Update HW mappings for PCI devices:
      102b0522: bus class video.
      10de0191: nv X video driver.
      10de0193: nv X video driver.
      10de019d: nv X video driver.
      10de019e: nv X video driver.  Thanks to Ubuntu for these five.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 May 2007 11:31:40 +0200

discover-data (2.2007.03.22) unstable; urgency=low

  * debian/discover1-data.bug:
    - Include the discover output for the command line used when
      configuring X, to detect errors in that output.
    - Include X server and module information for all devices detected.
  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Mar 2007 00:40:38 +0100

discover-data (2.2007.03.21) unstable; urgency=low

  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Update HW mappings for PCI devices:
      102b0522: mga X driver. (Closes: #411020)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Mar 2007 09:49:31 +0100
