=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: discover-data
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
 Build-Depends: debhelper (>= 4.0)
@@ -41,17 +41,3 @@
  convenience of 2.4.x users, but only where they do not conflict with 2.2.20
  module names.
 
-Package: discover1-data-udeb
-Section: debian-installer
-Priority: extra
-Architecture: all
-XC-Package-Type: udeb
-Description: hardware lists for libdiscover1 (short list)
- The libdiscover1 library requires this package to look up information about
- various hardware devices using the identification data that they report.  It
- contains data detailing various PCI, PCMCIA, and USB devices.
- .
- There are two separate lists for kernel versions 2.4 and 2.6. Discover
- automatically chooses the appropriate list for your running kernel.
- .
- This is the short list of HW required by d-i during installation.
