=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 export DH_COMPAT=4
 
 PACKAGE=$(shell dh_listpackages | grep -v discover1)
-LPACKAGE=$(shell dh_listpackages | grep discover1 | grep -v -- -udeb$$)
-ULPACKAGE=$(shell dh_listpackages | grep discover1 | grep -- -udeb$$)
+LPACKAGE=$(shell dh_listpackages | grep discover1)
 VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 
 build: build-stamp
@@ -48,12 +47,6 @@
 	mkdir -p $(CURDIR)/debian/discover1-data/usr/share/bug
 	install -m 755 debian/discover1-data.bug $(CURDIR)/debian/discover1-data/usr/share/bug/discover1-data
 
-	# Legacy udeb.  Should be removed after d-i rc1 for etch
-	$(MAKE) install-old-udeb \
-		prefix=/ \
-		hwlistsdir=/lib/discover \
-		DESTDIR=$(CURDIR)/debian/$(ULPACKAGE)
-
 binary-arch: build install
 
 binary-indep: build install $(PACKAGE)
