## discover-data 2.2008.01.12ubuntu1

=== debian/changelog ===
discover-data (2.2008.01.12ubuntu1) hardy; urgency=low

  * Drop build dependency on python-xml.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Feb 2008 15:37:09 +0000

discover-data (2.2008.01.12) unstable; urgency=low

  [ Otavio Salvador ]
  * Fix xml2lst script to don't break some entries between multiple lines
    while reading.

  [ Petter Reinholdtsen ]
  * Make sure to regenerate *.lst files when the Makefile changes,
    in case the kernel or X version number was changed.
  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Update README file to document how to update from pciids.sourceforge.net,
    and to reflect the current status of the discover-data package.
  * Update HW mappings for PCI devices:
     80862592: debian package 915resolution.
     10de0194: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0400: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0402: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0404: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0407: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0409: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de040a: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de040b: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de040c: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de040d: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de040e: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de040f: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0421: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0422: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0423: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0425: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0426: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0427: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0428: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de0429: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de042a: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de042b: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de042d: nv X video driver (7.2->).  Thanks to Ubuntu for this one.
     10de042f: nv X video driver (7.2->).  Thanks to Ubuntu for this
	       one, modulo the apparent typo in their version.
     80864229:  debian packages ipw3945-source and ipw3945d.
  * Update HW mapping for USB devices:
     08ff2580: thinkfinger-tools package.
  * Modify build rules for *.lst files to use X version 7.3 to match
    the X.org packages in unstable.
  * Updated standards-version from 3.7.2 to 3.7.3.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 12 Jan 2008 20:30:26 +0100

discover-data (2.2007.08.07) unstable; urgency=low

  * Increase kernel version for *-26.lst from 2.6.17 to 2.6.21, to
    match the version currently in unstable.
  * Modify build rules for *.lst files to specify which X version to
    use.  Set the current version to 7.2 to match the X.org packages
    in unstable.
  * Update PCI X mapping for all cards supported by i810 to use the
    intel driver from X version 7.2.
  * Regenerate usb.lst, pci.lst and pci-26.lst from scratch to make
    sure their content derives from content in the xml files.  This
    removed a lot of obsolete entries for non-existing kernel modules
    and obsolete X servers.
  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Update HW mappings for PCI devices:
     18140101: debian package rt2x00-source.
     18140201: debian package rt2x00-source.
     18140301: debian package rt2x00-source.
     18140302: debian package rt2x00-source.
     18140401: debian package rt2x00-source.
     80864222: debian package ipw3945-source.
     80864227: debian package ipw3945-source.
     808629b2: intel X video driver (7.2->).
     808629c2: intel X video driver (7.2->).
     808629d2: intel X video driver (7.2->).
     80862a02: intel X video driver (7.2->). Thanks to Ubuntu for
               these four.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  7 Aug 2007 10:08:55 +0200
