=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 # $Progeny$
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=4
 
 PACKAGE=$(shell dh_listpackages | grep -v discover1)
 LPACKAGE=$(shell dh_listpackages | grep discover1)
