## discover-data 2.2008.06.25

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,18 @@
 VERSION=$(MAJOR).$(DATE)
 DISTNAME=discover-data-$(VERSION)
 
+#############################################################
+# Kernel values used when generating the discover v1 data set
+#############################################################
+# Woody = 2.4.27, Sarge = n/a, Etch = n/a
 KVERSION_24 = 2.4.27
-KVERSION_26 = 2.6.17
+
+# Woody = ?, Sarge = 2.6.8, Etch = 2.6.18
+KVERSION_26 = 2.6.21
+
+# Woody = 4.2.1 (XFree86), Sarge = 4.3.0 (XFree86), Etch = 7.1 (X.org)
+XVER = 7.3
+#############################################################
 
 discover_data_EXEC = lst2xml merge-lst-to-xml mkshorthwlist reduce-xml xml2lst \
 	discover-updater.pl trim26lst
@@ -74,15 +84,17 @@
 		-i scsi-vendor.xml -i scsi-busclass.xml -i scsi-device.xml \
 		-o scsi-vendor-short.xml --output-type=vendor
 
-pci.lst: pci-busclass.xml pci-vendor.xml pci-device.xml
+pci.lst: Makefile pci-busclass-v1.xml pci-vendor.xml pci-device.xml
 	./xml2lst --previous-file=pci.lst \
 		--data-version=linux/module/name:$(KVERSION_24) \
+		--data-version=xfree86/server/name:$(XVER) \
+		--data-version=xfree86/server/device/driver:$(XVER) \
 		-opci-new.lst \
 		pci-busclass-v1.xml pci-vendor.xml pci-device.xml
 	rm pci.lst
 	mv pci-new.lst pci.lst
 
-pci-26.lst: pci-busclass.xml pci-vendor.xml pci-device.xml
+pci-26.lst: Makefile pci-busclass-v1.xml pci-vendor.xml pci-device.xml
 	./xml2lst --previous-file=pci-26.lst \
 		--data-version=linux/module/name:$(KVERSION_26) \
 		--data-version=xfree86/server/name:2 \
@@ -94,15 +106,17 @@
 	./trim26lst < pci-26-new.lst > pci-26.lst
 	rm pci-26-new.lst
 
-pcmcia.lst: pcmcia-busclass.xml pcmcia-vendor.xml pcmcia-device.xml
+pcmcia.lst: Makefile pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
 	./xml2lst --previous-file=pcmcia.lst \
 		--data-version=linux/module/name:$(KVERSION_24) \
+		--data-version=xfree86/server/name:$(XVER) \
+		--data-version=xfree86/server/device/driver:$(XVER) \
 		-opcmcia-new.lst \
 		pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
 	rm pcmcia.lst
 	mv pcmcia-new.lst pcmcia.lst
 
-pcmcia-26.lst: pcmcia-busclass.xml pcmcia-vendor.xml pcmcia-device.xml
+pcmcia-26.lst: Makefile pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
 	./xml2lst --previous-file=pcmcia-26.lst \
 		--data-version=linux/module/name:$(KVERSION_26) \
 		--data-version=xfree86/server/name:2 \
@@ -112,15 +126,17 @@
 	./trim26lst < pcmcia-26-new.lst > pcmcia-26.lst
 	rm pcmcia-26-new.lst
 
-usb.lst: usb-busclass.xml usb-vendor.xml usb-device.xml
+usb.lst: Makefile usb-busclass-v1.xml usb-vendor.xml usb-device.xml
 	./xml2lst --previous-file=usb.lst \
 		--data-version=linux/module/name:$(KVERSION_24) \
+		--data-version=xfree86/server/name:$(XVER) \
+		--data-version=xfree86/server/device/driver:$(XVER) \
 		-ousb-new.lst \
 		usb-busclass-v1.xml usb-vendor.xml usb-device.xml
 	rm usb.lst
 	mv usb-new.lst usb.lst
 
-usb-26.lst: usb-busclass.xml usb-vendor.xml usb-device.xml
+usb-26.lst: Makefile usb-busclass-v1.xml usb-vendor.xml usb-device.xml
 	./xml2lst --previous-file=usb-26.lst \
 		--data-version=linux/module/name:$(KVERSION_26) \
 		--data-version=xfree86/server/name:2 \
