=== debian/changelog ===
discover-data (2.2008.06.25) unstable; urgency=low

  * Update pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Update HW mappings for PCI devices:
     80862a03: intel X video driver (7.2->).  Thanks to Dann Frazier
	       for this one.
     80862592: Do not install 915resolution for Debian after v4.0.
     80862772: The same (Closes: #464966).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 Jun 2008 22:42:23 +0200
