=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: discover-data
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
 Build-Depends: debhelper (>= 4.0)
 Build-Depends-Indep: python, python-xml
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 XS-Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
 
 Package: discover-data
