## discover-data 2.2008.06.25ubuntu1

=== debian/changelog ===
discover-data (2.2008.06.25ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Drop build dependency on python-xml.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Jun 2008 16:31:12 +0000
