## discover-data 2.2009.12.19

=== debian/changelog ===
discover-data (2.2009.12.19) unstable; urgency=low

  * Acknowledge NMU.
  * Update HW mappings for PCI devices:
     14e44312: Install b43-fwcutter to get required firmware.
  * Update pci-vendors.xml
    from http://pciids.sourceforge.net/pci.ids.gz.  Not updating
    device list, as the scripts to do so now seem to be broken,
    resulting in empty files.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Dec 2009 20:08:51 +0100

discover-data (2.2008.06.25+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop build-dep on python-xml (deprecated). Port the following Python
    scripts to legacy python modules (Closes: #468624):
    - reduce-xml (patch from Ben Hutchings)
    - merge-lst-to-xml

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 09 Sep 2009 13:01:23 +0200
