=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
 Build-Depends: debhelper (>= 4.0)
-Build-Depends-Indep: python (>= 2.4)
+Build-Depends-Indep: python
 Standards-Version: 3.7.3
 XS-Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
